org.eclipse.cdt.utils.macho.parser

## Class MachOBinaryShared

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.cdt.utils.BinaryFile
    - - org.eclipse.cdt.utils.BinaryObjectAdapter
      - - org.eclipse.cdt.utils.macho.parser.MachOBinaryObject
        - - org.eclipse.cdt.utils.macho.parser.MachOBinaryShared

All Implemented Interfaces:
  IBinaryParser.IBinaryExecutable, IBinaryParser.IBinaryFile, IBinaryParser.IBinaryObject, IBinaryParser.IBinaryShared, org.eclipse.core.runtime.IAdaptable

Deprecated.
Deprecated as of CDT 6.1. Use 64 bit version `MachOBinaryShared64`. This class is planned for removal in next major release.

    @Deprecated
    public class MachOBinaryShared
    extends MachOBinaryObject
    implements IBinaryParser.IBinaryShared

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.cdt.utils.BinaryObjectAdapter

`BinaryObjectAdapter.BinaryObjectInfo`

### Field Summary

### Fields inherited from class org.eclipse.cdt.utils.macho.parser.MachOBinaryObject

`addressFactory, attributes, header, needed, sizes, soname, symbols, timeStamp`

### Fields inherited from class org.eclipse.cdt.utils.BinaryObjectAdapter

`NO_SYMBOLS`

### Fields inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`ARCHIVE, CORE, EXECUTABLE, OBJECT, SHARED`

### Constructor Summary

Constructors
`protected` `MachOBinaryShared(IBinaryParser parser, org.eclipse.core.runtime.IPath path)` Deprecated.

### Method Summary

### Methods inherited from class org.eclipse.cdt.utils.macho.parser.MachOBinaryObject

`clearCachedValues, getAdapter, getAddressFactory, getBinaryObjectInfo, getBSS, getContents, getCPPFilt, getCPU, getData, getMachOHelper, getName, getNeededSharedLibs, getSoName, getSymbol, getSymbols, getText, hasChanged, hasDebug, internalGetAttributes, internalGetNeeded, internalGetSizes, internalGetSoName, internalGetSymbols, isLittleEndian, loadBinaryInfo, loadSymbols`

### Methods inherited from class org.eclipse.cdt.utils.BinaryObjectAdapter

`toString`

### Methods inherited from class org.eclipse.cdt.utils.BinaryFile

`getBinaryParser, getPath, getType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryShared

`getSoName`

### Methods inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryExecutable

`getNeededSharedLibs`

### Methods inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryObject

`getAddressFactory, getBSS, getCPU, getData, getName, getSymbol, getSymbols, getText, hasDebug, isLittleEndian`

### Methods inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`getBinaryParser, getContents, getPath, getType`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Constructor Detail

#### MachOBinaryShared

    protected MachOBinaryShared(IBinaryParser parser,
                                org.eclipse.core.runtime.IPath path)

Deprecated.